Sign in to follow this  
ghutcheon

Pre P2Dv3xx scenery

Recommended Posts

Just wondering, are many people running paid for scenery in v3.2 or the new 3.3.5 that is officially stated by the developers as compatible with either v1 or v2? I have several such sceneries and would like to add them if this is ok. Seems such as waste otherwise. I am quite familiar with the folder structures, just don't want to risk messing up my sim by experimenting.

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Sorry, hate to bump my own topic but reading it, might not have stated my question very clearly.

 

When a scenery is stated as being P3Dv2 compatible, does it have a different code structure to that used in P3Dv3 or is it simply a case of placing files/folders in different locations?

 

We talk about developers providing "updated installers" for making v2 scenery v3 compatible. Is it just the installer, or is it also the actual code in the scenery files that has been edited?

Share this post


Link to post

In most, if not all cases, you will not have any problems running a V2 scenery in V3. Usually it is just the installer that detects a new path in the registry. But the actual files are the same.

Share this post


Link to post

Thanks Cargostorm, I'm going to take a chance and try to install Aerosoft's Kilimanjaro and see what happens. It is listed as V2 compatible, no indication from Aerosoft that it will be updated to support V3. [No response to that Q on their forum.]

 

 

Cheers!

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this